Bug 493753 - F11 beta installer limits LVM volume group extent size to 4MB
F11 beta installer limits LVM volume group extent size to 4MB
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
: 496673 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 19:41 EDT by James Ralston
Modified: 2009-06-25 13:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-25 13:52:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of LVM pesize problem (98.29 KB, image/png)
2009-05-05 13:27 EDT, James Ralston
no flags Details
anaconda.log from failed pesize attempt (21.29 KB, text/plain)
2009-05-05 13:29 EDT, James Ralston
no flags Details
storage.log from failed pesize attempt (46.45 KB, text/plain)
2009-05-05 13:29 EDT, James Ralston
no flags Details
updates with proposed fix (11.25 KB, application/octet-stream)
2009-05-05 20:22 EDT, David Lehman
no flags Details

  None (edit)
Description James Ralston 2009-04-02 19:41:15 EDT
I'm installing F11 beta on a virtual guest. I've given the guest a 16GB (virtual) disk.

I choose a custom disk layout in anaconda. I create a /boot partition that is 1024MB in size. I then create an LVM partition that consumes the rest of the drive.

I then go to create logical volumes. The "Make LVM Volume Group" screen appears. The default physical extent size defaults to 4 MB. When I attempt to change it to 32MB instead, I receive this pop-up error message:

The physical extent size cannot be changed because
the value selected (    32.00 MB) is larger than the
smallest physical volume (  -32.00 MB) in the volume
group.

This is pretty clearly a bug, as I can jump to the command line and manually partition the disk (include creating volume groups) just fine.
Comment 1 James Ralston 2009-04-02 19:45:53 EDT
A correction: I can increase the size to 8MB without getting the error pop-up, but no larger.
Comment 2 David Lehman 2009-04-16 13:30:00 EDT
This should be fixed in anaconda-11.5.0.43-1.
Comment 3 David Lehman 2009-04-20 13:01:30 EDT
*** Bug 496673 has been marked as a duplicate of this bug. ***
Comment 4 Ted Popesco 2009-05-02 10:58:42 EDT
I just downloaded the Fedora 11 preview release, and it's still having the same problem, with anaconda 11.5.0.47.

I'm installing it in a VMware Server guest on an 8GB virtual disk, and I did a custom layout with a 100MB /boot, 1024MB swap, and the rest LVM.  I get the same error message described above whenever I try to go above 4MB extents (which is what it defaults to).
Comment 5 David Lehman 2009-05-04 14:04:02 EDT
(In reply to comment #4)
> I just downloaded the Fedora 11 preview release, and it's still having the same
> problem, with anaconda 11.5.0.47.
> 
> I'm installing it in a VMware Server guest on an 8GB virtual disk, and I did a
> custom layout with a 100MB /boot, 1024MB swap, and the rest LVM.  I get the
> same error message described above whenever I try to go above 4MB extents
> (which is what it defaults to).  

This is expected behavior if the VG is fully allocated when you try to change the extent size.

If you want to increase the extent size, you must first remove one of the logical volumes so there is free space in the volume group. Then, once you have changed the extent size, you can add the additional logical volume.
Comment 6 James Ralston 2009-05-04 17:00:02 EDT
Confirmed (comment #4), for an interactive install of Fedora 11 Preview (x86_64; anaconda 11.5.0.47).

However, if you perform a kickstart install, you can set a 32MB block size just fine, via these partitioning commands:

clearpart --drives=vda --all --initlabel
part /boot --ondisk=vda --fstype ext3 --size=1024
part pv.0 --ondisk=vda --size=1024 --grow
volgroup vos --pesize=32768 pv.0
logvol swap --fstype swap --name=swap --vgname=vos --size=2048
logvol / --fstype ext4 --name=root --vgname=vos --size=1024
logvol /usr --fstype ext4 --name=usr --vgname=vos --size=4096
logvol /home --fstype ext4 --name=home --vgname=vos --size=1024
logvol /var --fstype ext4 --name=var --vgname=vos --size=1024
logvol /var/tmp --fstype ext4 --name=vtmp --vgname=vos --size=1024
logvol /tmp --fstype ext4 --name=tmp --vgname=vos --size=1024
logvol /var/log --fstype ext4 --name=log --vgname=vos --size=1024

Dave, I don't understand what you mean about "expected behavior" (comment #5). If I create a new LVM partition, and then edit it, I cannot change the VG size above 8MB even if the VG has no logical volumes in it.
Comment 7 David Lehman 2009-05-04 17:25:31 EDT
(In reply to comment #6)
> Confirmed (comment #4), for an interactive install of Fedora 11 Preview
> (x86_64; anaconda 11.5.0.47).
>
> Dave, I don't understand what you mean about "expected behavior" (comment #5).
> If I create a new LVM partition, and then edit it, I cannot change the VG size
> above 8MB even if the VG has no logical volumes in it.  

Are you creating a new volume group or using one that already exists? I assume that by "create a new LVM partition, and then edit it" you mean you created an lvm partition and then created/edited a new volume group. Is this correct? And by "change the VG size" you mean change the VG's extent size, right?

I have created new volume groups with extent sizes of 32, 64, and 128 MB today without any problems. What exactly does the error message say? Can you attach the files /tmp/storage.log and /tmp/anaconda.log from the install attempt?
Comment 8 James Ralston 2009-05-05 13:27:55 EDT
Created attachment 342503 [details]
screenshot of LVM pesize problem

Here's how to reproduce the problem:

Boot the installation DVD.

For the partitioning selection screen, select "Create custom layout".

On the next screen, create a 1GB /boot partition.

In the remaining space, create an LVM volume that fills to the maximum allowable size.

Click the "LVM" button.

In the "Make LVM Volume Group window", attempt to change the "Physical Extent" size above 8MB.  It will fail.
Comment 9 James Ralston 2009-05-05 13:29:00 EDT
Created attachment 342504 [details]
anaconda.log from failed pesize attempt
Comment 10 James Ralston 2009-05-05 13:29:41 EDT
Created attachment 342505 [details]
storage.log from failed pesize attempt
Comment 11 David Lehman 2009-05-05 20:22:59 EDT
Created attachment 342563 [details]
updates with proposed fix

Please try the attached updates.img and see if the problem persists.
Comment 12 Allen Kistler 2009-05-06 00:26:19 EDT
I've seen this bug on multiple machines.
The proposed fix worked for me on the only machine I've tried so far.

More annoying was that anaconda only accepted the update if I put it on an ftp server.  It refused it on any floppy created in accordance with http://fedoraproject.org/wiki/Anaconda/Updates. (But that's a different bug, eh?)
Comment 13 Ted Popesco 2009-05-06 10:46:07 EDT
Confirmed that the proposed fix worked on my virtual machine (VMWare Server 1.0.6), using my web server (http) to provide the update.  Anaconda allowed me to choose any of the extent sizes in the drop-down without an error message.  I chose 32MB and successfully completed the install.



[root@f11pre ~]# vgdisplay
  --- Volume group ---
  VG Name               vg_f11pre
  System ID             
  Format                lvm2
  Metadata Areas        1
  Metadata Sequence No  2
  VG Access             read/write
  VG Status             resizable
  MAX LV                0
  Cur LV                1
  Open LV               1
  Max PV                0
  Cur PV                1
  Act PV                1
  VG Size               6.88 GB
  PE Size               32.00 MB
  Total PE              220
  Alloc PE / Size       219 / 6.84 GB
  Free  PE / Size       1 / 32.00 MB
  VG UUID               txQyqe-QxxQ-rBAq-xZ3u-rmZo-ZIaV-aYM70U
   
[root@f11pre ~]#
Comment 14 David Lehman 2009-05-07 12:15:05 EDT
The latest fix will be included in anaconda-11.5.0.51-1.
Comment 15 Bug Zapper 2009-06-09 09:09:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.